Debian Bug report logs - #448501
ignores versions in package dependencies

version graph

Package: debfoster; Maintainer for debfoster is debfoster Maintainer Team <pkg-debfoster@teams.debian.net>; Source for debfoster is src:debfoster.

Reported by: ivanfi@uw.hu

Date: Mon, 29 Oct 2007 15:09:01 UTC

Severity: serious

Found in version debfoster/2.6-2

Fixed in version debfoster/2.7-1

Done: Florian Weimer <fw@deneb.enyo.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to ivanfi@uw.hu:
New Bug report received and forwarded. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ivanfi@uw.hu
To: submit@bugs.debian.org
Subject: Removes package without asking
Date: Mon, 29 Oct 2007 16:07:01 +0100
Package: debfoster
Version: 2.6-2
Severity: serious

--- Please enter the report below this line. ---

Hi,

When running debfoster, it asks me wether I want to keep
python-celementtree (that only keeps python-elementtree). If I answer
Y, it will also remove bzr and bzrtools, although I haven't been asked
about them. Even explicitly marking bzr and bzrtools as "to be kept" by
adding them to /var/lib/debfoster/keepers does not help. Excerpt:

[...]

python-celementtree is keeping the following 1 packages installed:
  python-elementtree
Keep python-celementtree? [Ynpsiuqx?], [H]elp: P

[...]

Removing package: python-celementtree
Removing package: python-elementtree
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  bzr* bzrtools* python-celementtree* python-elementtree*
0 upgraded, 0 newly installed, 4 to remove and 75 not upgraded.
Need to get 0B of archives.
After unpacking 11.6MB disk space will be freed.
Do you want to continue [Y/n]?

Thanks,

Zoltan

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.21-2-686

Debian Release: lenny/sid
  600 testing         ftp.de.debian.org 
  500 unstable        www.debian-multimedia.org 
   50 unstable        ftp.de.debian.org 
   50 experimental    ftp.de.debian.org 

--- Package information. ---
Depends         (Version) | Installed
=========================-+-=============
libc6        (>= 2.3.6-6) | 2.6.1-1+b1




Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: ivanfi@uw.hu, 448501@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#448501: Removes package without asking
Date: Mon, 29 Oct 2007 16:20:03 +0100
[Message part 1 (text/plain, inline)]
On Mon, Oct 29, 2007 at 03:07:01PM +0000, ivanfi@uw.hu wrote:
> Package: debfoster
> Version: 2.6-2
> Severity: serious
> 
> --- Please enter the report below this line. ---
> 
> Hi,
> 
> When running debfoster, it asks me wether I want to keep
> python-celementtree (that only keeps python-elementtree). If I answer
> Y, it will also remove bzr and bzrtools, although I haven't been asked
> about them. Even explicitly marking bzr and bzrtools as "to be kept" by
> adding them to /var/lib/debfoster/keepers does not help. Excerpt:
> 
> [...]
> 
> python-celementtree is keeping the following 1 packages installed:
>   python-elementtree
> Keep python-celementtree? [Ynpsiuqx?], [H]elp: P
> 
> [...]
> 
> Removing package: python-celementtree
> Removing package: python-elementtree
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> The following packages will be REMOVED:
>   bzr* bzrtools* python-celementtree* python-elementtree*
> 0 upgraded, 0 newly installed, 4 to remove and 75 not upgraded.
> Need to get 0B of archives.
> After unpacking 11.6MB disk space will be freed.
> Do you want to continue [Y/n]?

  I experience this as well. bzr depends python (>> 2.5) |
python-celementree as python-celementtree is builtin in python 2.5. I
suppose it get confused because python is installed and it believes in
the first pass that python-celementtree doesn't needs to be here
(because it probably doesn't grok that (>> 2.5) isn't fulfilled),
though, when apt is called later to remove python-celementree, it wants
to remove bzr that needs it.

  So my guess is that the dependency checker of debfoster is a tad
simplistic

  Note that I'd argue that it's not a serious but an important bug: in
its default setup, debfoster ask you if you confirm, so you lose data
IFF you are dumb enough to hit 'Yes'. And there are trivial workarounds
that let debfoster work properly on the rest of the archive. If the bug
isn't trivial to fix in debfoster, I'd suggest to downgrade it to
important so that it doesn't force the removeal of debfoster from testing.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to ivanfi@uw.hu:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #15 received at 448501@bugs.debian.org (full text, mbox):

From: ivanfi@uw.hu
To: 448501@bugs.debian.org
Subject: Removes package without asking - correction
Date: Mon, 29 Oct 2007 16:16:53 +0100
Hi,

Sorry, it should read "if I answer P"...

Br,

Zoltan




Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to ivanfi@uw.hu:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #25 received at 448501@bugs.debian.org (full text, mbox):

From: ivanfi@uw.hu
To: "ext Pierre Habouzit" <madcoder@debian.org>
Cc: 448501@bugs.debian.org
Subject: Re: Bug#448501: Removes package without asking
Date: Mon, 29 Oct 2007 17:02:26 +0100
Hi,

On Mon, 29 Oct 2007 16:20:03 +0100
"Pierre Habouzit" <madcoder@debian.org> wrote:

> Note that I'd argue that it's not a serious but an important bug: in
> its default setup, debfoster ask you if you confirm, so you lose data
> IFF you are dumb enough to hit 'Yes'.

The problem is that when trying out packages and then running debfoster
to clean up the system, I have to make lots of decisions and I remove
almost all the packages. As a result, I have a very long list of
package removals to confirm, and it is easy to overlook an important
package in the list, especially since debfoster has always worked
reliably for me since a very long time ago.

> If the bug isn't trivial to fix in debfoster, I'd suggest to
> downgrade it to important so that it doesn't force the removeal of
> debfoster from testing.

I certainly don't want debfoster removed from testing, it is a very
handy tool - the built-in keeping funcionality of aptitude is
absolutely unsuitable for the "trying out packages" usecase, so
I don't have any objection against downgrading it to important.

Br,

Zoltan




Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to ext Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #30 received at 448501@bugs.debian.org (full text, mbox):

From: ext Pierre Habouzit <madcoder@debian.org>
To: ivanfi@uw.hu, 448501@bugs.debian.org
Subject: Re: Bug#448501: Removes package without asking
Date: Mon, 29 Oct 2007 17:25:46 +0100
[Message part 1 (text/plain, inline)]
On Mon, Oct 29, 2007 at 04:02:26PM +0000, ivanfi@uw.hu wrote:
> Hi,
> 
> On Mon, 29 Oct 2007 16:20:03 +0100
> "Pierre Habouzit" <madcoder@debian.org> wrote:
> 
> > Note that I'd argue that it's not a serious but an important bug: in
> > its default setup, debfoster ask you if you confirm, so you lose data
> > IFF you are dumb enough to hit 'Yes'.
> 
> The problem is that when trying out packages and then running debfoster
> to clean up the system, I have to make lots of decisions and I remove
> almost all the packages. As a result, I have a very long list of
> package removals to confirm, and it is easy to overlook an important
> package in the list, especially since debfoster has always worked
> reliably for me since a very long time ago.

  You can hit 's' or 'x' I don't remember to validate the list you just
did, take a break, and do it again. I often do that to avoid spurious
mistakes :)


-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #35 received at 448501@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: ivanfi@uw.hu
Cc: 448501@bugs.debian.org
Subject: Re: Bug#448501: Removes package without asking
Date: Tue, 30 Oct 2007 08:54:44 +0100
> When running debfoster, it asks me wether I want to keep
> python-celementtree (that only keeps python-elementtree). If I answer
> Y, it will also remove bzr and bzrtools, although I haven't been asked
> about them. Even explicitly marking bzr and bzrtools as "to be kept" by
> adding them to /var/lib/debfoster/keepers does not help. Excerpt:

Can you post your keepers file and /var/lib/dpkg/status?

(You can send it to me directly if you don't want to publish it.)




Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #40 received at 448501@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Florian Weimer <fw@deneb.enyo.de>, 448501@bugs.debian.org
Cc: ivanfi@uw.hu
Subject: Re: Bug#448501: Removes package without asking
Date: Tue, 30 Oct 2007 09:17:28 +0100
[Message part 1 (text/plain, inline)]
On Tue, Oct 30, 2007 at 07:54:44AM +0000, Florian Weimer wrote:
> > When running debfoster, it asks me wether I want to keep
> > python-celementtree (that only keeps python-elementtree). If I answer
> > Y, it will also remove bzr and bzrtools, although I haven't been asked
> > about them. Even explicitly marking bzr and bzrtools as "to be kept" by
> > adding them to /var/lib/debfoster/keepers does not help. Excerpt:
> 
> Can you post your keepers file and /var/lib/dpkg/status?
> 
> (You can send it to me directly if you don't want to publish it.)

  To reproduce the bug just install bzr, that should pull
python-celementree, and then run debfoster, it'll ask to remove
python-celementree, if you accept it will also remove apt. You can do
that easily in a freshly deboostraped chroot.


-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #45 received at 448501@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Pierre Habouzit <madcoder@debian.org>
Cc: 448501@bugs.debian.org, ivanfi@uw.hu
Subject: Re: Bug#448501: Removes package without asking
Date: Tue, 30 Oct 2007 09:25:21 +0100
* Pierre Habouzit:

>   To reproduce the bug just install bzr, that should pull
> python-celementree, and then run debfoster, it'll ask to remove
> python-celementree, if you accept it will also remove apt. You can do
> that easily in a freshly deboostraped chroot.

I can only reproduce that it will remove bzr, but this is still a bug.




Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #50 received at 448501@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Florian Weimer <fw@deneb.enyo.de>
Cc: 448501@bugs.debian.org, ivanfi@uw.hu
Subject: Re: Bug#448501: Removes package without asking
Date: Tue, 30 Oct 2007 10:43:52 +0100
[Message part 1 (text/plain, inline)]
On Tue, Oct 30, 2007 at 08:25:21AM +0000, Florian Weimer wrote:
> * Pierre Habouzit:
> 
> >   To reproduce the bug just install bzr, that should pull
> > python-celementree, and then run debfoster, it'll ask to remove
> > python-celementree, if you accept it will also remove apt. You can do
> > that easily in a freshly deboostraped chroot.
> 
> I can only reproduce that it will remove bzr, but this is still a bug.

  Yes that's exactly the reported issue.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #55 received at 448501@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: ivanfi@uw.hu
Cc: 448501@bugs.debian.org
Subject: Re: Bug#448501: Removes package without asking
Date: Sun, 30 Dec 2007 19:28:24 +0100
debfoster ignores versions in package dependencies, which causes this
bug.




Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #60 received at 448501@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Florian Weimer <fw@deneb.enyo.de>, 448501@bugs.debian.org, 448501-submitter@bugs.debian.org
Cc: ivanfi@uw.hu, Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#448501: Removes package without asking
Date: Sun, 24 Feb 2008 17:39:49 +0100
retitle #448501 ignores versions in package dependencies
thanks

On Sun, Dec 30, 2007 at 07:28:24PM +0100, Florian Weimer wrote:
> debfoster ignores versions in package dependencies, which causes this
> bug.

Adjusting the bug title appropriately. I cannot fix this bug on short
notice. If somebody on the team can fix this, please say so (and give
a time frame), otherwise, I'll tag this bug help by the end of February.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835




Changed Bug title to `ignores versions in package dependencies' from `Removes package without asking'. Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. (Sun, 24 Feb 2008 16:42:02 GMT) Full text and rfc822 format available.

Message sent on to ivanfi@uw.hu:
Bug#448501. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #70 received at 448501@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Marc Haber <mh+debian-packages@zugschlus.de>
Cc: 448501@bugs.debian.org, 448501-submitter@bugs.debian.org, ivanfi@uw.hu
Subject: Re: Bug#448501: Removes package without asking
Date: Sun, 24 Feb 2008 17:50:32 +0100
* Marc Haber:

> retitle #448501 ignores versions in package dependencies
> thanks
>
> On Sun, Dec 30, 2007 at 07:28:24PM +0100, Florian Weimer wrote:
>> debfoster ignores versions in package dependencies, which causes this
>> bug.
>
> Adjusting the bug title appropriately. I cannot fix this bug on short
> notice. If somebody on the team can fix this, please say so (and give
> a time frame), otherwise, I'll tag this bug help by the end of February.

I'm not sure if it is acceptable to simply drop a conditional dependency
which is not fulfilled on the current system from debfoster's view.  If
it is, the fix is pretty simple.




Message sent on to ivanfi@uw.hu:
Bug#448501. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, debfoster Maintainer Team <pkg-debfoster@teams.debian.net>:
Bug#448501; Package debfoster. Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and forwarded to list. Copy sent to debfoster Maintainer Team <pkg-debfoster@teams.debian.net>. Full text and rfc822 format available.

Message #78 received at 448501@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: 448501@bugs.debian.org
Cc: luk@debian.org
Subject: Status update on debfoster's removes-too-much bug
Date: Fri, 28 Mar 2008 22:10:45 +0100
I'll be unable to work on this during the next week, and haven't managed
to make substantial progress so far.

Here's what needs to be done: /var/lib/dpkg/status needs to be read
twice, once to gather the installed package versions (this a new pass),
and another time to do the dependency extraction (the current pass).
During depedency extraction, version information in
Depends/Recommends/Suggests needs to be parsed (new code) and compared
to the installed versions (comparison code needs to be copied from dpkg
or apt, preferably the latter).  A conditional dependency which cannot
be fulfilled by the currently installed package version should be
dropped.

Ideally, this should be moved into the actual package pruning process,
but this would require changing the data structures, turning package
names/references into package/version pairs.  This change is rather
invasive, that's why I want to avoid it.




Reply sent to Florian Weimer <fw@deneb.enyo.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ivanfi@uw.hu:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #83 received at 448501-close@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: 448501-close@bugs.debian.org
Subject: Bug#448501: fixed in debfoster 2.7-1
Date: Sat, 19 Apr 2008 21:02:06 +0000
Source: debfoster
Source-Version: 2.7-1

We believe that the bug you reported is fixed in the latest version of
debfoster, which is due to be installed in the Debian FTP archive:

debfoster_2.7-1.diff.gz
  to pool/main/d/debfoster/debfoster_2.7-1.diff.gz
debfoster_2.7-1.dsc
  to pool/main/d/debfoster/debfoster_2.7-1.dsc
debfoster_2.7-1_amd64.deb
  to pool/main/d/debfoster/debfoster_2.7-1_amd64.deb
debfoster_2.7.orig.tar.gz
  to pool/main/d/debfoster/debfoster_2.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448501@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Weimer <fw@deneb.enyo.de> (supplier of updated debfoster package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Apr 2008 17:14:49 +0200
Source: debfoster
Binary: debfoster
Architecture: source amd64
Version: 2.7-1
Distribution: unstable
Urgency: low
Maintainer: debfoster Maintainer Team <pkg-debfoster@teams.debian.net>
Changed-By: Florian Weimer <fw@deneb.enyo.de>
Description: 
 debfoster  - Install only wanted Debian packages
Closes: 448501
Changes: 
 debfoster (2.7-1) unstable; urgency=low
 .
   * New upstream version.  Closes: #448501.
Checksums-Sha1: 
 ef5fe62d5baba025ac9867bbedec2753a96cbcb3 1404 debfoster_2.7-1.dsc
 ce3bc94ab216084ac67cec20df2023ddfec5a38d 202026 debfoster_2.7.orig.tar.gz
 cce0db1aa790c9b87d369408ec7028201fee4a8b 8427 debfoster_2.7-1.diff.gz
 36852ac8961da813cdc285ee362edeaf2d70978f 39634 debfoster_2.7-1_amd64.deb
Checksums-Sha256: 
 afd231b41553feb09f969a867c8014c19b804a71bd60822489c35c28f50cb811 1404 debfoster_2.7-1.dsc
 dfc48a430015b1ccb94269e2f3367d3dcd3114f1d80205fb4f8ed4febaf071c4 202026 debfoster_2.7.orig.tar.gz
 ab5e7df045687d4a59b8bf4ac2b9272e3757df0126669aa479d2c06505c04589 8427 debfoster_2.7-1.diff.gz
 787dd565ed27ef71c0bafb1607fbcc407374f35cc68bc90e3698f0c38e0f4087 39634 debfoster_2.7-1_amd64.deb
Files: 
 7320c0f958b979dbb5f4df494fc68f41 1404 admin optional debfoster_2.7-1.dsc
 936f55c52124cdcef970370b51a0098e 202026 admin optional debfoster_2.7.orig.tar.gz
 8beb70af04b81b3b97bb923f0bd9878a 8427 admin optional debfoster_2.7-1.diff.gz
 7384e31b5a53b0bbf94732af5506b0b3 39634 admin optional debfoster_2.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBSApXTb97/wQC1SS+AQInCQf/dVuJccuY1THc+8LbdKPLpdfSD9r1PFCK
fBNbI9I6riOBJ+FXadeB2Nf+BjvFDnoVXIsf+19ZTkqaulHJH0DNFCDqA6vsSe5l
MZVAP/P/7Ot+6ov+xAbDxnGr2B/PNVS/q4cQkuSl7X9pfgrwySDxFUJoVRgY4XY+
YnylZd9wZ471Tc3Y+AsLuXwQEbt5FGHGB7CVGZaxsDVLT9VFOmD3j2mx+TfpRNcE
+9dt4hONVtZp6cmp77DdOh5gDMwAmq09ld2h6RDvQ/bV6ngePbZTQMb2Fp9zqc02
h5UMv2f2QVLRyTvZm6ymFUXMfFX3/ejQrVGK2hwVJ3XfwPpoW+W+dQ==
=iaXE
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Apr 2011 07:29:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:47:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.